Set domain auto-join setting
PUT
/auth/v1/memberships/{orgId}/domain/auto-joinEnables or disables automatically adding users with a matching verified domain email to the organization.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
orgId*string
Organization ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_auth.autoJoinBody",
"$ref-value": {
"properties": {
"enabled": {
"type": "boolean"
}
},
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.AutoJoinSetting",
"$ref-value": {
"properties": {
"enabled": {
"type": "boolean"
},
"present": {
"type": "boolean"
}
},
"type": "object"
}
}curl -X PUT "https://api.rixl.com/auth/v1/memberships/string/domain/auto-join" \
-H "Content-Type: application/json" \
-d '{}'OK
application/json
{
"$ref": "#/components/schemas/authv1.AutoJoinSetting",
"$ref-value": {
"properties": {
"enabled": {
"type": "boolean"
},
"present": {
"type": "boolean"
}
},
"type": "object"
}
}